/*
## always use
css-minify --file .\main.css --output .
to generate minified css
*/
:root {
/*	--bg-indigo: #4338ca;
	--bg-indigo-rgb: 67, 56, 202;*/

    --bg-indigo: #3f0d81;
    --bg-indigo-rgb: 63, 13, 129;

    --bg-purple: #621392;
    --bg-purple-rgb: 98, 19, 146;

    --bg-silver: #d0d0d0;
    --bg-silver-rgb: 209, 209, 209;

    --bg-android: #309e47;
    --bg-android-rgb: 48, 158, 71;
}
.text-justify {
    text-align: justify !important;
}
.bg-indigo {
    background-color: rgba(var(--bg-indigo-rgb), var(--bs-bg-opacity, 1))!important;
}
.text-bg-indigo {
    color: #fff!important;
    background-color: rgba(var(--bg-indigo-rgb), var(--bs-bg-opacity, 1))!important;
}
.text-indigo {
    color: rgba(var(--bg-indigo-rgb), var(--bs-text-opacity, 1))!important;
}
.border-indigo {
    border-color: rgba(var(--bg-indigo-rgb), var(--bs-border-opacity, 1)) !important;
}
.bg-purple {
    background-color: rgba(var(--bg-purple-rgb), var(--bs-bg-opacity, 1))!important;
}
.text-bg-purple {
    color: #fff!important;
    background-color: rgba(var(--bg-purple-rgb), var(--bs-bg-opacity, 1))!important;
}
.text-purple {
    color: rgba(var(--bg-purple-rgb), var(--bs-text-opacity, 1))!important;
}
.border-purple {
    border-color: rgba(var(--bg-purple-rgb), var(--bs-border-opacity, 1)) !important;
}
.bg-silver {
    background-color: rgba(var(--bg-silver-rgb), var(--bs-bg-opacity, 1))!important;
}
.text-silver {
    color: rgba(var(--bg-silver-rgb), var(--bs-text-opacity, 1))!important;
}
.text-bg-silver {
    color: #000!important;
    background-color: rgba(var(--bg-silver-rgb), var(--bs-bg-opacity, 1))!important;
}
.bg-android {
    background-color: rgba(var(--bg-android-rgb), var(--bs-bg-opacity, 1))!important;
}
.text-android {
    color: rgba(var(--bg-android-rgb), var(--bs-text-opacity, 1))!important;
}
.text-bg-android {
    color: #000!important;
    background-color: rgba(var(--bg-android-rgb), var(--bs-bg-opacity, 1))!important;
}
.btn-indigo {
    --bs-btn-color: #fff;
    --bs-btn-bg: #4338ca;
    --bs-btn-border-color: #4338ca;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #3b30b4;
    --bs-btn-hover-border-color: #362e86;
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #362e86;
    --bs-btn-active-border-color: #362e86;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #4338ca;
    --bs-btn-disabled-border-color: #4338ca;
}

.btn-outline-indigo {
    --bs-btn-color: #4338ca;
    --bs-btn-border-color: #4338ca;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #4338ca;
    --bs-btn-hover-border-color: #4338ca;
    --bs-btn-focus-shadow-rgb: 13,110,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #4338ca;
    --bs-btn-active-border-color: #4338ca;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #4338ca;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #4338ca;
    --bs-gradient: none;
}

blockquote::before {
	content: open-quote;
}
blockquote::after {
	content: close-quote;
}
.nav-link {
	position: relative;
}
.offcanvas {
    --bs-offcanvas-width: 300px;
}
.offcanvas:not(.show) .nav-link:hover::after,
.offcanvas:not(.show) .nav-link.active::after {
	content: '';
	position: absolute;
	bottom: 0;
	left: 10%;
	right: 10%;
    height: 3px; 
	background-color: #fff;
	border-radius: 3px;
}
.offcanvas:not(.show) .nav-link:hover::after {
	background-color: #a9a3ef;
}
@media (max-width: 991px) {
    .offcanvas .nav-link {
        font-weight: 500;
        color: var(--bg-purple) !important;
    }
    .offcanvas .nav-link:hover::before,
    .offcanvas .nav-link.active::before {
        content: '';
        position: absolute;
        left: -6%;
        top: 0;
        bottom: 0;
        height: 100%;
        width: 0.5rem;
        background: rgba(var(--bg-purple-rgb), .25);
    }
    .offcanvas .nav-link:hover::after,
    .offcanvas .nav-link.active::after {
        content: '';
        position: absolute;
        left: -6%;
        right: -6%;
        top: 0;
        bottom: 0;
        height: 100%;
        z-index: -1;
        background: rgba(var(--bg-purple-rgb), 0.25);
    }
    .offcanvas .nav-link:hover,
    .offcanvas .nav-link.active {
        color: var(--bg-indigo) !important;
    }
}

.aspect-ratio-4x23 {
    aspect-ratio: 4 / 2.3;
}
.wh2rem {
    width: 2rem;
    height: 2rem;
}
.vh-10 {
    height: 10vh;
}
.vh-25 {
    height: 25vh;
}
.vh-50 {
    height: 50vh;
}
.vh-75 {
    height: 75vh;
}
.max-h500 {
    max-height: 500px;
}
footer a {
    color: rgba(255, 255, 255, .5);
    position: relative;
    transition: all 0.15s ease-in-out;
}
footer a:hover {
    color: #ffffff;
}
footer a:not(.bi):not(:has(img)):hover::before {
    content: '';
    position: absolute;
    bottom: -0.35rem;
    height: 2px;
    width: 100%;
    background-color: var(--bg-indigo);
}
.carousel-indicators [data-bs-target] {
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
    margin: 0.25rem;
}
[data-bs-theme=dark] .carousel .carousel-indicators [data-bs-target], [data-bs-theme=dark].carousel .carousel-indicators [data-bs-target] {
    background-color: #ffffff;
}
.cursor-pointer {
    cursor: pointer;
}
.lines-truncate {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: var(--lines);
    overflow: hidden;
    text-overflow: ellipsis;
}
.lines-1 {
    --lines: 1;
}
.lines-2 {
    --lines: 2;
}
.lines-3 {
    --lines: 3;
}
.lines-4 {
    --lines: 4;
}
.lines-5 {
    --lines: 5;
}
label.required:after,
label[required]:after {
    content: '*';
    color: #ff3d00;
    font-weight: bold;
}
.footer-nav .nav-link {
    width: 3rem;
    height: 3rem;
    display: grid;
    align-content: center;
    justify-content: center;
}
.footer-nav .nav-link.active {
    border: 2px solid #9c6fd7;
    border-radius: 50%;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0)) #7a3bcdab;
    box-shadow: 0 0.125rem 0.25rem rgb(63 13 129);
}

.footer-nav .dropdown-item {
    border-radius: 0.25rem;
}
.footer-nav .dropdown-menu.show {
    display: flex;
    flex-direction: column;
    row-gap: 0.25rem;
}
.footer-nav {
    display: none;
}
@media (max-width: 991px) {
    .footer-nav {
        display: block;
    }
}
.bi-spin:before {
    animation: spin 1s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}
